# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/e61ff98a-ba07-41b3-6a12-5f22fa9399b4/volume/rsync-recipes/lxml-4.3.1-python_3.7-on-osx, last modified Sat Feb 16 14:05:10 2019
# ------------------------------------------------

package:
    name: lxml
    version: 4.3.1
source:
    sha256: da5e7e941d6e71c9c9a717c93725cda0708c2474f532e3680ac5e39ec57d224d
    url: https://pypi.io/packages/source/l/lxml/lxml-4.3.1.tar.gz
build:
    number: '0'
    script:
        - python -m pip install --no-deps --ignore-installed . --global-option="--with-xslt-config=$PREFIX/bin/xslt-config"
    string: py37hef8c89e_0
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
    host:
        - ca-certificates 2019.1.23 0
        - certifi 2018.11.29 py37_0
        - cython 0.29.4 py37h0a44026_0
        - icu 58.2 h4b95b61_1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libiconv 1.15 hdd342a3_7
        - libxml2 2.9.9 hab757c2_0
        - libxslt 1.1.33 h33a18ac_0
        - ncurses 6.1 h0a44026_1
        - openssl 1.1.1a h1de35cc_0
        - pip 19.0.1 py37_0
        - python 3.7.2 haf84260_0
        - readline 7.0 h1de35cc_5
        - setuptools 40.7.3 py37_0
        - sqlite 3.26.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - wheel 0.32.3 py37_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - libxml2 >=2.9.9,<2.10.0a0
        - libxslt >=1.1.33,<2.0a0
        - python >=3.7,<3.8.0a0
test:
    commands:
        - conda inspect linkages -p $PREFIX lxml
        - conda inspect objects -p $PREFIX lxml
    imports:
        - lxml
        - lxml.etree
        - lxml.objectify
about:
    description: 'The lxml XML toolkit is a Pythonic binding for the C libraries libxml2
        and

        libxslt. It is unique in that it combines the speed and XML feature

        completeness of these libraries with the simplicity of a native Python API,

        mostly compatible but superior to the well-known ElementTree API.

        '
    dev_url: https://github.com/lxml/lxml
    doc_source_url: https://github.com/lxml/lxml/tree/master/doc
    doc_url: http://lxml.de/index.html#documentation
    home: http://lxml.de/
    license: BSD 3-Clause, GPL-2.0, ZPL-2.0, and ElementTree
    license_file: LICENSES.txt
    summary: Pythonic binding for the C libraries libxml2 and libxslt.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jjhelmus
        - ocefpaf
